summaryrefslogtreecommitdiffstats
path: root/source/a/usbutils
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/a/usbutils
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/a/usbutils')
-rw-r--r--source/a/usbutils/usbutils-002.tar.bz2.sign8
-rwxr-xr-xsource/a/usbutils/usbutils.SlackBuild18
-rw-r--r--source/a/usbutils/usbutils.ids.dest11
-rw-r--r--source/a/usbutils/usbutils.url1
4 files changed, 12 insertions, 26 deletions
diff --git a/source/a/usbutils/usbutils-002.tar.bz2.sign b/source/a/usbutils/usbutils-002.tar.bz2.sign
deleted file mode 100644
index 9d96e9bef..000000000
--- a/source/a/usbutils/usbutils-002.tar.bz2.sign
+++ /dev/null
@@ -1,8 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1.4.11 (GNU/Linux)
-Comment: See http://www.kernel.org/signature.html for info
-
-iD8DBQBNgpmUyGugalF9Dw4RAkkCAJ9AOpNKjFebxdbPfj3LYK+roL7UaACgiKtR
-7L3j4M7iAo15yh6B4WP6uCI=
-=fb1T
------END PGP SIGNATURE-----
diff --git a/source/a/usbutils/usbutils.SlackBuild b/source/a/usbutils/usbutils.SlackBuild
index 163b53783..15694392b 100755
--- a/source/a/usbutils/usbutils.SlackBuild
+++ b/source/a/usbutils/usbutils.SlackBuild
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-$(echo usbutils-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo usbutils-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -58,7 +58,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf usbutils-$VERSION
-tar xvf $CWD/usbutils-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/usbutils-$VERSION.tar.xz || exit 1
cd usbutils-$VERSION || exit 1
chown -R root:root .
@@ -72,19 +72,27 @@ find . \
rm -f usb.ids*
wget $(grep 'SRC=' update-usbids.sh.in | cut -d= -f2- | tr -d \")
+# Use --datadir=/usr/share/hwdata so usb.ids is expected to be there
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sbindir=/sbin \
--mandir=/usr/man \
+ --datadir=/usr/share/hwdata \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
# Get rid of this redundant file:
-rm -f $PKG/usr/share/usb.ids.gz
+rm -f $PKG/usr/share/hwdata/usb.ids.gz
+
+## Use the usb.ids file shipped with the hwdata package
+#rm -f $PKG/usr/share/hwdata/usb.ids*
+
+# Put a compat symlink in place for stuff that doesn't know about pkgconfig
+ln -s hwdata/usb.ids $PKG/usr/share/usb.ids
# The usbids are kept under /usr, so it makes no sense at all to have
# this util in /sbin rather than /usr/sbin:
@@ -100,10 +108,6 @@ mv $PKG/sbin/update-usbids.sh $PKG/usr/sbin/update-usbids.sh
# upstream name available there too...
( cd $PKG/sbin ; ln -sf /usr/sbin/update-usbids.sh . )
-# Move the pkgconfig directory to @libdir@ instead of @datadir@
-mkdir $PKG/usr/lib${LIBDIRSUFFIX}
-mv $PKG/usr/share/pkgconfig $PKG/usr/lib${LIBDIRSUFFIX}
-
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/a/usbutils/usbutils.ids.dest b/source/a/usbutils/usbutils.ids.dest
deleted file mode 100644
index 67111881e..000000000
--- a/source/a/usbutils/usbutils.ids.dest
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./update-usbids.sh.orig 2005-01-22 17:03:47.000000000 -0600
-+++ ./update-usbids.sh 2007-01-04 17:14:28.000000000 -0600
-@@ -4,7 +4,7 @@
-
- set -e
- SRC="http://www.linux-usb.org/usb.ids"
--DEST=usb.ids
-+DEST=/usr/share/usb.ids
-
- if which wget >/dev/null ; then
- DL="wget -O $DEST.new $SRC"
diff --git a/source/a/usbutils/usbutils.url b/source/a/usbutils/usbutils.url
new file mode 100644
index 000000000..57e0013b2
--- /dev/null
+++ b/source/a/usbutils/usbutils.url
@@ -0,0 +1 @@
+http://www.kernel.org/pub/linux/utils/usb/usbutils/